Bug 499790

Summary: [te_IN][pango]GSUB delete key can't delete the whole char in f10
Product: [Fedora] Fedora Reporter: koka xiong <kxiong>
Component: pangoAssignee: Akira TAGOH <tagoh>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: behdad, fonts-bugs, i18n-bugs, mshao, pnemade, psatpute, tagoh, tools-bugs
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-09 05:16:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Comment 2 koka xiong 2009-05-11 03:04:13 EDT
Description of problem:
GSUB press Delete key to delete the whole char,it can't delete the whole char
in f10


Version-Release number of selected component (if applicable):
pango-devel-1.22.1-1.fc10.i386
pango-1.22.1-1.fc10.i386
pangomm-2.14.0-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.In gedit input U+0C15 U+0C4D U+0C15 
2.Press Delete key to delete the char
3.

Actual results:
It can't delete the whole char,it will delete part of the char

Expected results:
It will delete the whole char.

Additional info:
All of chars in [te_IN][GSUB] has the same problem.
Comment 3 Bug Zapper 2009-11-18 06:54:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Pravin Satpute 2009-11-24 00:20:20 EST
i guess it will get fixed auto with harfbuzz and pango merger,
moving to rawhide
Comment 5 Bug Zapper 2010-03-15 08:36:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Akira TAGOH 2011-09-09 04:31:38 EDT
No upstream bug for this?
Comment 7 Fedora Admin XMLRPC Client 2012-01-10 10:43:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2013-04-03 14:47:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora Admin XMLRPC Client 2013-05-14 08:13:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Akira TAGOH 2014-10-09 05:16:55 EDT
After taking a look at UAX#29 and the Pango code, current behavior is following the Unicode standard unfortunately.

Here is the details how the text segmentation is decided in Pango according to the standard:

First, the character type for the above characters are:
U+0C15  OTHER LETTER
U+0C4D  NON SPACING MARK

Pango is looking at the grapheme boundary rule to decide if a character should be deleted by backspace key. it's defined as following in UAX#29:

* Break at the start(GB1) and end(GB2) of text.
* Do not break between a CR and LF(GB3). Otherwise, break before(GB4) and after(GB5) controls.
* Do not break Hangul syllable sequences(GB6,GB7,GB8).
* Do not break between regional indicator symbols(GB8a).
* Do not break before extending characters(GB9).

Only for extended grapheme clusters:
* Do not break before SpacingMarks(GB9a), or after Prepend characters(GB9b).
* Otherwise, break everywhere.

According to the table 2 in UAX#29, non-spacing mark is categorized into Extend. so it doesn't break *before* U+0C4D. but no rules to not break *after* Extend.

At this point, there are no standard that the software can refers the material to prevent that behavior. maybe good to escalate this to Unicode.org then.